com.verisign.epp.codec.registry.v02

## Class EPPRegistryZoneData

- java.lang.Object
- - com.verisign.epp.codec.registry.v02.EPPRegistryZoneData

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryZoneData
      extends java.lang.Object
      implements EPPCodecComponent

  `EPPRegistryZoneData` contains the `EPPRegistryZone` for use in the `EPPRegistryInfoResponse` to include the `accessible` boolean attribute. The `accessible` boolean attribute is only applicable in the info response.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTR_ACCESSIBLE` XML attribute name for the `accessible` attribute.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPRegistryZoneData`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryZoneData()` Default constructor for `EPPRegistryZoneData`.
    `EPPRegistryZoneData(EPPRegistryZone aZone, boolean aAccessible)` Default constructor for `EPPRegistryZoneData`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPRegistryZoneData`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryZoneData` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryZoneData` instance.
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryZoneData` compare.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `EPPRegistryZone` | `getZone()` Gets the contained zone information
    `boolean` | `isAccessible()` Is the zone accessible to the client?
    `void` | `setAccessible(boolean aAccessible)` Sets if the zone is access to the client.
    `void` | `setZone(EPPRegistryZone aZone)` Sets the contained zone information.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPRegistryZoneData`.
      See Also:
        Constant Field Values

    - #### ATTR_ACCESSIBLE

          public static final java.lang.String ATTR_ACCESSIBLE

      XML attribute name for the `accessible` attribute.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryZoneData

          public EPPRegistryZoneData()

      Default constructor for `EPPRegistryZoneData`. The `zone` must be set prior to calling {`encode(Document)`.

    - #### EPPRegistryZoneData

          public EPPRegistryZoneData(EPPRegistryZone aZone,
                                     boolean aAccessible)

      Default constructor for `EPPRegistryZoneData`. The `zone` must be set prior to calling {`encode(Document)`.
      Parameters:
        `aZone` - Contained zone information
        `aAccessible` - Indicates whether the zone is accessible with `true` or available with `false`.

  - ### Method Detail

    - #### getZone

          public EPPRegistryZone getZone()

      Gets the contained zone information
      Returns:
        The zone information if defined; `null` otherwise.

    - #### setZone

          public void setZone(EPPRegistryZone aZone)

      Sets the contained zone information.
      Parameters:
        `aZone` - Zone information

    - #### isAccessible

          public boolean isAccessible()

      Is the zone accessible to the client?
      Returns:
        `true` if the zone is accessible; `false` otherwise.

    - #### setAccessible

          public void setAccessible(boolean aAccessible)

      Sets if the zone is access to the client.
      Parameters:
        `aAccessible` - `true` if the zone is accessible; `false` otherwise.

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryZoneData` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPRegistryZoneData` instance.
      Throws:
        `EPPEncodeException` - - Unable to encode `EPPRegistryZoneData` instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPRegistryZoneData` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryZoneData` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPRegistryZoneData` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPRegistryZoneData` instance to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryZoneData`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPRegistryZoneData`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.